Rivet: Experiment-specific muon efficiency and smearing functions

| Rivet 3.1.9

Functions
Experiment-specific muon efficiency and smearing functions
Detector smearing & efficiency functions

## Functions
double | Rivet::MUON_EFF_ATLAS_RUN1 (const Particle &m)
| ATLAS Run 1 muon reco efficiency.
double | Rivet::MUON_RECOEFF_ATLAS_RUN2 (const Particle &m)
double | Rivet::MUON_EFF_ATLAS_RUN2 (const Particle &m)
| ATLAS Run 2 muon reco+ID efficiency.
Particle | Rivet::MUON_SMEAR_ATLAS_RUN1 (const Particle &m)
| ATLAS Run 1 muon reco smearing.
Particle | Rivet::MUON_SMEAR_ATLAS_RUN2 (const Particle &m)
double | Rivet::MUON_EFF_CMS_RUN1 (const Particle &m)
| CMS Run 1 muon reco efficiency.
double | Rivet::MUON_EFF_CMS_RUN2 (const Particle &m)
Particle | Rivet::MUON_SMEAR_CMS_RUN1 (const Particle &m)
| CMS Run 1 muon reco smearing.
Particle | Rivet::MUON_SMEAR_CMS_RUN2 (const Particle &m)

## Detailed Description

## Function Documentation

## ◆ MUON_EFF_ATLAS_RUN2()

double Rivet::MUON_EFF_ATLAS_RUN2 | ( | const Particle & | m | ) |
| inline

ATLAS Run 2 muon reco+ID efficiency.

For medium ID, from Fig 3 of https://cds.cern.ch/record/2047831/files/ATL-PHYS-PUB-2015-037.pdf

References Rivet::binIndex(), and Rivet::MUON_RECOEFF_ATLAS_RUN2().

## ◆ MUON_EFF_CMS_RUN2()

double Rivet::MUON_EFF_CMS_RUN2 | ( | const Particle & | m | ) |
| inline

CMS Run 2 muon reco efficiency

Todo:
  Currently just a copy of Run 1: fix!

References Rivet::MUON_EFF_CMS_RUN1().

## ◆ MUON_RECOEFF_ATLAS_RUN2()

double Rivet::MUON_RECOEFF_ATLAS_RUN2 | ( | const Particle & | m | ) |
| inline

ATLAS Run 2 muon reco efficiency

From https://arxiv.org/pdf/1603.05598.pdf , Fig3 top

Referenced by Rivet::MUON_EFF_ATLAS_RUN2().

## ◆ MUON_SMEAR_ATLAS_RUN1()

Particle Rivet::MUON_SMEAR_ATLAS_RUN1 | ( | const Particle & | m | ) |
| inline

ATLAS Run 1 muon reco smearing.

Todo:
  Add muon loose/medium/tight ID efficiencies? All around 95-98%... ignore?

References Rivet::binIndex(), and Rivet::P4_SMEAR_PT_GAUSS().

## ◆ MUON_SMEAR_ATLAS_RUN2()

Particle Rivet::MUON_SMEAR_ATLAS_RUN2 | ( | const Particle & | m | ) |
| inline

ATLAS Run 2 muon reco smearing From https://arxiv.org/abs/1603.05598 , eq (10) and Fig 12

References Rivet::P4_SMEAR_PT_GAUSS(), and Rivet::SQRT2.

## ◆ MUON_SMEAR_CMS_RUN2()

Particle Rivet::MUON_SMEAR_CMS_RUN2 | ( | const Particle & | m | ) |
| inline

CMS Run 2 muon reco smearing

Todo:
  Currently just a copy of the Run 1 version: fix!

References Rivet::MUON_SMEAR_CMS_RUN1().